Subject: WA Apple to China

From: [email-masked] (Li Wang)
Date: 1 Apr 1995 00:26:01 GMT

We want to buy containers of best grade Red Delicious Washington Apple to
export to China.  L/C will be issued after contract signed and paid on
dock.  Please forward price information immediately to: [email-masked]